---
title: '<nextid>: The NeXT ID element (Obsolete)'
slug: Web/HTML/Element/nextid
tags:
  - Element
  - HTML
  - Obsolete
  - Reference
  - Web
---
<div>{{Deprecated_header}}</div>

<p><span class="seoSummary"><strong><code>&lt;nextid&gt;</code></strong> is an obsolete HTML element that served to enable the NeXT web designing tool to generate automatic NAME labels for its anchors.</span> It was generated by that web editing tool automatically and was not to be adjusted or entered by hand. This element has the distinction of being the first element to become one of the "Lost Tags" by being eliminated from the official public DTD's of the HTML versions. It is also probably one of the least understood of all of the early HTML elements.</p>

<dl>
 <dt>HTML "0.a" - from the beginning through January 10, 1991</dt>
 <dd>This tag had not been invented as yet, so no examples are found from this period.</dd>
 <dt>HTML "0.c" - from January 23, 1991 though November 23, 1992</dt>
 <dd>This early version of HTML introduced <code>&lt;NEXTID&gt;</code> in a non-SGML compliant form that used the numeric value alone as an "attribute."</dd>
 <dt>HTML "0.d" - from November 26, 1992 through May 24, 1993</dt>
 <dd>During this span, NeXT and the oldest surviving DTD's show <code>&lt;NEXTID&gt;</code> to take only a number for a value of its newly-introduced attribute <code>N</code>.</dd>
 <dt>HTML "1.k" - Version 1 (first release)</dt>
 <dd>In this first published draft of HTML, <code>&lt;NEXTID&gt;</code> is the same as it would take in HTML 2, finally allowing the use of a name instead of only a number for its attribute value.</dd>
 <dt>HTML "1.m" - Version 1 (second release)</dt>
 <dd>In the next published draft of HTML, <code>&lt;NEXTID&gt;</code> <code>&lt;NEXTID&gt;</code> can be individually deselected for display with a simple SGML command.</dd>
 <dt>HTML Version 2 Level 1</dt>
 <dd>This is like the level 2 default but it excludes all the forms elements, i. e. <code>&lt;FORM&gt;</code>, <code>&lt;INPUT&gt;</code>, <code>&lt;TEXTAREA&gt;</code>, <code>&lt;SELECT&gt;</code>, and <code>&lt;OPTION&gt;</code></dd>
 <dt>HTML Version 2 Strict Level 1</dt>
 <dd>This is like regular Level 1 but it also excludes these depreciated elements, along with such constructs as nesting a header (<code>&lt;H*&gt;</code> element) within a link (<code>&lt;A&gt;</code> element)</dd>
 <dt>HTML Version 2 Level 2</dt>
 <dd>This is the default and includes and permits all HTML Level 2 functions and elements and attributes</dd>
 <dt>HTML Version 2 Strict Level 2</dt>
 <dd>This excludes these depreciated elements and also forbids such constructs as nesting a header (<code>&lt;H*&gt;</code> element) within a link (<code>&lt;A&gt;</code> element), or having a forms <code>&lt;INPUT&gt;</code> element which is not within a block level element such as <code>&lt;P&gt;</code></dd>
 <dt>HTML Version 3.2</dt>
 <dd><code>&lt;NEXTID&gt;</code> has vanished altogether, never to be heard from again.</dd>
</dl>

<h2 id="Attributes">Attributes</h2>

<p>Like all other HTML elements, this element accepts the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("n")}}</dt>
 <dd>Reference to anchor.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>The user enters four section headings into the Table of Contents (and presumably also writing paragraph material within these sections). The heading for each of the four sections would be assigned NAME values of "z0", "z1", "z2", and "z3". The first of these would produce an entry in the Table of Contents like this: <code>&lt;A NAME="z0" HREF="#z4"&gt;FIRST SECTION NAME&lt;/A&gt;</code> and the section header would be marked like this: <code>&lt;H2&gt;&lt;A NAME="z4"&gt;FIRST SECTION NAME&lt;/A&gt;&lt;/H2&gt;</code>. This continues for the next three sections, z5, z6, and z7 (and Table of Contents entries named z1, z2, and z3), each automatically given anchors with these names. The user then saves and closes the document. NeXT would then add, within the header of the HTML document, a special tag, <code>&lt;NEXTID N="z8"&gt;</code>, to inform where to continue its naming convention. Imagine the web author opens the document for further editing. They want to add a couple new sections after the second section, appending four more sections at the end. When opening the document, the NeXT editor finds and reads this <code>&lt;NEXTID N="z8"&gt;</code> tag, and now knows to give the first of these new sections the name of z8 in the Table of Contents, and z14 to the content body. This might look like this:</p>

<pre class="brush: html">&lt;HTML&gt;
    &lt;HEAD&gt;
        &lt;TITLE&gt; ... whatever ... &lt;/TITLE&gt;
        &lt;LINK, META, BASE, etc. as applicable for the head of this document&gt;
        &lt;NEXTID N="z20"&gt;
    &lt;/HEAD&gt;

    &lt;BODY&gt;
        &lt;A NAME="z0" HREF="#z4"&gt;FIRST SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z1" HREF="#z5"&gt;SECOND SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z8" HREF="#z14"&gt;NEWLY INSERTED THIRD SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z9" HREF="#z15"&gt;NEWLY INSERTED FOURTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z2" HREF="#z6"&gt;ORIGINAL THIRD (NOW FIFTH) SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z3" HREF="#z7"&gt;ORIGINAL FOURTH (NOW SIXTH) SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z10" HREF="#z16"&gt;SEVENTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z11" HREF="#z17"&gt;EIGHTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z12" HREF="#z18"&gt;NINTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z13" HREF="#z19"&gt;TENTH SECTION HEADING&lt;/A&gt;
        &lt;H2&gt;&lt;A NAME="z4"&gt;FIRST SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z5"&gt;SECOND SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z14"&gt;NEWLY INSERTED THIRD SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z15"&gt;NEWLY INSERTED FOURTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z6"&gt;ORIGINAL THIRD (NOW FIFTH) SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z7"&gt;ORIGINAL FOURTH (NOW SIXTH) SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z16"&gt;SEVENTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z17"&gt;EIGHTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z18"&gt;NINTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z19"&gt;TENTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
    &lt;/BODY&gt;
&lt;/HTML&gt;
</pre>

<p>They then forward a copy of this document to someone with a NeXT editor, and they delete sections z7 and z19, add ten more, z20 through z29, and then delete paragraphs z24 and z29. So then the NEXTID value is z30 when it's returned modified:</p>

<pre class="brush: html">&lt;HTML&gt;
    &lt;HEAD&gt;
        &lt;TITLE&gt; ... whatever ... &lt;/TITLE&gt;
        &lt;LINK, META, BASE, etc. as applicable for the head of this document&gt;
        &lt;NEXTID N="z30"&gt;
    &lt;/HEAD&gt;

    &lt;BODY&gt;
        &lt;A NAME="z0" HREF="#z4"&gt;FIRST SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z1" HREF="#z5"&gt;SECOND SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z8" HREF="#z14"&gt;NEWLY INSERTED THIRD SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z9" HREF="#z15"&gt;NEWLY INSERTED FOURTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z2" HREF="#z6"&gt;ORIGINAL THIRD (NOW FIFTH) SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z10" HREF="#z16"&gt;SEVENTH (NOW SIXTH) SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z11" HREF="#z17"&gt;EIGHTH (NOW SEVENTH) SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z12" HREF="#z18"&gt;NINTH (NOW EIGHTH) SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z20" HREF="#z25"&gt;NEW NINTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z21" HREF="#z26"&gt;NEW TENTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="z22" HREF="#z27"&gt;NEW ELEVENTH SECTION HEADING&lt;/A&gt;
        &lt;A NAME="e23" HREF="#z28"&gt;NEW TWELFTH SECTION HEADING&lt;/A&gt;
        &lt;H2&gt;&lt;A NAME="z4"&gt;FIRST SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z5"&gt;SECOND SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z14"&gt;NEWLY INSERTED THIRD SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z15"&gt;NEWLY INSERTED FOURTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z6"&gt;ORIGINAL THIRD (NOW FIFTH) SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z16"&gt;SEVENTH (NOW SIXTH) SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z17"&gt;EIGHTH (NOW SEVENTH) SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z18"&gt;NINTH (NOW EIGHTH) SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z25"&gt;NEW NINTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z26"&gt;NEW TENTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z27"&gt;NEW ELENENTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
        &lt;H2&gt;&lt;A NAME="z28"&gt;NEW TWELFTH SECTION HEADING&lt;/A&gt;&lt;/H1&gt;&lt;P&gt; ... whatever ... &lt;/P&gt;
    &lt;/BODY&gt;
&lt;/HTML&gt;
</pre>

<h2 id="HTML_Reference">HTML Reference</h2>

<ul>
 <li><a class="external text" href="http://www.the-pope.com/nextid.html" rel="nofollow">Working NEXTID Tag Element Example</a></li>
 <li><a class="external text" href="https://tools.ietf.org/html/rfc1866#section-5.2.6" rel="nofollow">5.2.6. Next Id: NEXTID</a></li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.nextid")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("isindex")}}</li>
</ul>

<p>{{HTMLRef}}</p>
